> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/card-api/making-request.md).

# Making Request

{% stepper %}
{% step %}

#### Create an authentication token.

The token gives you access to Cards resources (👉 [Get it here](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-v3-api/api-reference#get-access-token)). You must include the token in the **Authorization** header of all requests:

```json
{"access-token": "{Your authentication token}"}
```

{% endstep %}

{% step %}

#### Choose the endpoint **that corresponds to the resource you want to interact with.**

For this example, you need to get the transactions related to a card, use this endpoint:

```
/card/v3/cards/c6b37a3f-1c81-474c-89e9-cc2d6409e634/transactions?page=1
```

{% endstep %}

{% step %}

#### **Prepare the full request and send it.**

In this case, use cURL to making the request. You want to retrieve data without modifying it - use the `GET` method. Let's put elements from the previous steps together.

Request:

```bash
curl --location \
--request GET 'https://api.alixpay.com/card/v3/cards/c6b37a3f-1c81-474c-89e9-cc2d6409e634/transactions?page=1' \
--header 'Content-Type: application/json' \
--header 'access-token: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjhY'
```

Response:

```json
{
    "items": [
        {
            "id": "887f034f-091e-4791-984b-3304cefcb1c7",
            "type": "Consumption",
            "amount": 10,
            "fee": 0.5,
            "feeDetails": [
                {"type": "AuthorizationFee", "amount": 0.5}
            ],
            "balanceBefore": 30,
            "balanceAfter": 19.5,
            "description": "Winmart HCM",
            "status": "Completed",
            "transactionTime": 1763322260049,
            "transactionTimeIso": "2025-11-16T19:44:20.049Z"
        }
    ],
    "totalRecords": 86,
    "totalPage": 9,
    "currentPage": 1,
    "perPage": 10,
}
```

Always include a request body in `POST`, `PUT`, or `PATCH` requests.
{% endstep %}

{% step %}

#### **Evaluate the response.**

The API returns `200 OK` and a list of all data stores for the specified team. If your request failed, you receive an error code. Refer to [Troubleshooting and error handling](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-v3-api/api-reference#id-400-7) to troubleshoot the issue.

{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/card-api/making-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
